搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

Online bank (KeyBank) wont let me log in even though my Firefox on Mac is updated

  • 2 回覆
  • 1 有這個問題
  • 33 次檢視
  • 最近回覆由 TyDraniu

more options

Hi, I wonder if someone can help me log into the KeyBank website. I keep getting this message: "Due to technical concerns, your current version of Firefox is no longer an option for KeyBank online banking. Nothing is wrong with your account. You simply need an updated browser – like the most up-to-date version of Microsoft Edge, Google Chrome, or Mozilla Firefox – to sign on to online banking." My Mac indicates I have an up-to-date version of Firefox (78.10.0esr (64-bit) Thank you

Hi, I wonder if someone can help me log into the KeyBank website. I keep getting this message: "Due to technical concerns, your current version of Firefox is no longer an option for KeyBank online banking. Nothing is wrong with your account. You simply need an updated browser – like the most up-to-date version of Microsoft Edge, Google Chrome, or Mozilla Firefox – to sign on to online banking." My Mac indicates I have an up-to-date version of Firefox (78.10.0esr (64-bit) Thank you

由 NoahSUMO 於 修改

所有回覆 (2)

more options

What occurs is that due to the rapid releases of FF verions, businesses that test the security and compatiability of browsers have not had time to approve the use of the current version.

So while they say to get an updated browser, the problem is that the bank has not updated their approval list, per se.

What you may have to do is to rollback (install) to the previous version of FF that worked for this site. Then turn off the updating feature of the FF to avoid future issues - for a while

Also I am not sure if deleting the cookies for the bank website can help. The bank server will then install new cookies.

To try the above, open the FF options (button w/ 3 lines), go to privacy section the look for the manage cookies button. Search and delete the specific cookies with the name of the bank. Then retry the site.

more options

Hi, it looks like they've forgotten about the ESR version numbering. You should contact them about it.

You could also try to install this extension and set up a recent UA string for default firefox 88.